Bug 203195 - cleanfeed has a bad license and needs to be removed
cleanfeed has a bad license and needs to be removed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cleanfeed (Show other bugs)
6
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-08-18 16:45 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-22 08:20:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2006-08-18 16:45:03 EDT
This bug is being filed as part of the FSF compatible licensing audit:

The cleanfeed license is non-free, and should be removed from Fedora:

Cleanfeed's license reads:
LICENSE
        This software may be distributed freely, provided it is intact
 (including all the files from the original archive).  You may modify it,
 and you may distribute your modified version, provided the original work
 is credited to the appropriate authors, and your work is credited to you
 (don’t make changes and pass them off as my work), and that you aren’t
 charging for it.

The last part about "aren't charging" is the killer, thats a commercial use
restriction.

Please remove this package from Fedora, nothing depends on it.
Comment 1 Martin Stransky 2006-08-22 04:58:07 EDT
Sent to rel-eng:

Your ticket has been assigned an ID of [engineering.redhat.com #3956] and can be
accessed online at:

https://engineering.redhat.com/rt3/Ticket/Display.html?id=3956
Comment 2 Martin Stransky 2006-08-22 08:20:48 EDT
-------- Original Message --------
Subject: [engineering.redhat.com #3956] please remove the cleanfeed package from
RHEL-5/FC6 (Bug 203195)
Date: Tue, 22 Aug 2006 08:21:55 -0400
From: Tim Powers via RT <release-engineering@redhat.com>
Reply-To: release-engineering@redhat.com
To: stransky@redhat.com
References: <RT-Ticket-3956@engineering.redhat.com> <44EAC813.1080601@redhat.com>

This was done last week (packages were blocked in Brew).

Note You need to log in before you can comment on or make changes to this bug.